petsc-3.15.0 2021-03-30
Report Typos and Errors

# DMViewFromOptions

View from Options

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMViewFromOptions(DM dm,PetscObject obj,const char name[])

Collective on DM

### Input Parameters

| dm | - the DM object
| obj | - Optional object
| name | - command line option

### See Also

DM, DMView, PetscObjectViewFromOptions(), DMCreate()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/plex/tutorials/ex2.c.html
src/dm/impls/plex/tutorials/ex5.c.html
src/dm/impls/plex/tutorials/ex6.c.html
src/dm/impls/plex/tutorials/ex7.c.html
src/dm/impls/plex/tutorials/ex9.c.html
src/dm/impls/forest/tutorials/ex1.c.html
src/dm/field/tutorials/ex1.c.html
src/snes/tutorials/ex12.c.html
src/snes/tutorials/ex17.c.html
src/snes/tutorials/ex56.c.html
src/snes/tutorials/ex62.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages